%define version 1.24
%define release 1mdk
%define name upx

Summary:  The Ultimate Packer for eXecutables
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Compression
Source0:	%{name}-%{version}-src.tar.bz2
URL:		http://upx.sourceforge.net/
BuildRequires:	ucl-devel
Prefix:		%_prefix
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

UPX is rated number one in the well known Archive Comparison Test. Visit
http://web.act.by.net/~act/act-exepack.html


%prep


%setup -q -n %{name}-%{version}
# this is ugly, but I don't know yet, wether ucl is right (include files in 
# %{_includedir}), or upx (include files in %{_includedir}/ucl)
find . -type f -exec perl -pi -e 's/<ucl\/ucl/<ucl/' {} \;

# the Makefile is really not helpful at all, so I'm doing it the bad way
perl -pi -e 's/ -Werror//' src/Makefile

# adding an external hook for our macros
perl -pi -e "s/CC \+= -march=i386 -mcpu=i586/CFLAGS=\\\$\{RPM_OPT_FLAGS\} -fexceptions/" src/Makefile


%build
# building the docs
make -C doc
export UCLDIR=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" make -C src target=linux CXX=g++

     
%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -m 755 src/upx $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 doc/upx.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc BUGS COPYING LICENSE LOADER.TXT NEWS PROJECTS README README.SRC THANKS doc/upx.doc doc/upx.html
%{_bindir}/*
%attr(644,root,man) %{_mandir}/man1/*


%changelog
* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.24-1mdk
- new version

* Mon Oct 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.23-1mdk
- new version

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.22-3mdk
- Rebuild with gcc3.2

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-2mdk
- gcc 3.2 build

* Fri Jun 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.22-1mdk
- new version
- minor spec file fixes

* Fri Jun  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.21-1mdk
- update URL
- License instead of Copyright
- fix build, link with g++
- quiet tar
- 1.21

* Mon Jun 18 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.20-1mdk
- Ugly perl -pi -e to include the correct headers from ucl.
- Ugly perl -pi -e to take care of a difficult Makefile.
- Initial packaging.
- TODO see if need NRZ or not
